Create Order
curl --request POST \
--url https://api.apps.lute.co.in/v1/orders \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"id": "<string>",
"type": "<string>",
"customer": "<string>",
"phone": "<string>",
"email": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"pin": "<string>",
"item": "<string>",
"qty": 123,
"weight": 123,
"pay": "<string>",
"amount": 123
}
'import requests
url = "https://api.apps.lute.co.in/v1/orders"
payload = {
"id": "<string>",
"type": "<string>",
"customer": "<string>",
"phone": "<string>",
"email": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"pin": "<string>",
"item": "<string>",
"qty": 123,
"weight": 123,
"pay": "<string>",
"amount": 123
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'},
body: JSON.stringify({
id: '<string>',
type: '<string>',
customer: '<string>',
phone: '<string>',
email: '<string>',
address: '<string>',
city: '<string>',
state: '<string>',
pin: '<string>',
item: '<string>',
qty: 123,
weight: 123,
pay: '<string>',
amount: 123
})
};
fetch('https://api.apps.lute.co.in/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.apps.lute.co.in/v1/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '<string>',
'type' => '<string>',
'customer' => '<string>',
'phone' => '<string>',
'email' => '<string>',
'address' => '<string>',
'city' => '<string>',
'state' => '<string>',
'pin' => '<string>',
'item' => '<string>',
'qty' => 123,
'weight' => 123,
'pay' => '<string>',
'amount' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: <content-type>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.apps.lute.co.in/v1/orders"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"type\": \"<string>\",\n \"customer\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"pin\": \"<string>\",\n \"item\": \"<string>\",\n \"qty\": 123,\n \"weight\": 123,\n \"pay\": \"<string>\",\n \"amount\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "<content-type>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.apps.lute.co.in/v1/orders")
.header("Authorization", "<authorization>")
.header("Content-Type", "<content-type>")
.body("{\n \"id\": \"<string>\",\n \"type\": \"<string>\",\n \"customer\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"pin\": \"<string>\",\n \"item\": \"<string>\",\n \"qty\": 123,\n \"weight\": 123,\n \"pay\": \"<string>\",\n \"amount\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.apps.lute.co.in/v1/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["Content-Type"] = '<content-type>'
request.body = "{\n \"id\": \"<string>\",\n \"type\": \"<string>\",\n \"customer\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"pin\": \"<string>\",\n \"item\": \"<string>\",\n \"qty\": 123,\n \"weight\": 123,\n \"pay\": \"<string>\",\n \"amount\": 123\n}"
response = http.request(request)
puts response.read_bodyOrders & Shipments
Create Order
Create a new forward or reverse order in Shipdesk.
POST
/
v1
/
orders
Create Order
curl --request POST \
--url https://api.apps.lute.co.in/v1/orders \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"id": "<string>",
"type": "<string>",
"customer": "<string>",
"phone": "<string>",
"email": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"pin": "<string>",
"item": "<string>",
"qty": 123,
"weight": 123,
"pay": "<string>",
"amount": 123
}
'import requests
url = "https://api.apps.lute.co.in/v1/orders"
payload = {
"id": "<string>",
"type": "<string>",
"customer": "<string>",
"phone": "<string>",
"email": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"pin": "<string>",
"item": "<string>",
"qty": 123,
"weight": 123,
"pay": "<string>",
"amount": 123
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'},
body: JSON.stringify({
id: '<string>',
type: '<string>',
customer: '<string>',
phone: '<string>',
email: '<string>',
address: '<string>',
city: '<string>',
state: '<string>',
pin: '<string>',
item: '<string>',
qty: 123,
weight: 123,
pay: '<string>',
amount: 123
})
};
fetch('https://api.apps.lute.co.in/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.apps.lute.co.in/v1/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '<string>',
'type' => '<string>',
'customer' => '<string>',
'phone' => '<string>',
'email' => '<string>',
'address' => '<string>',
'city' => '<string>',
'state' => '<string>',
'pin' => '<string>',
'item' => '<string>',
'qty' => 123,
'weight' => 123,
'pay' => '<string>',
'amount' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: <content-type>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.apps.lute.co.in/v1/orders"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"type\": \"<string>\",\n \"customer\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"pin\": \"<string>\",\n \"item\": \"<string>\",\n \"qty\": 123,\n \"weight\": 123,\n \"pay\": \"<string>\",\n \"amount\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "<content-type>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.apps.lute.co.in/v1/orders")
.header("Authorization", "<authorization>")
.header("Content-Type", "<content-type>")
.body("{\n \"id\": \"<string>\",\n \"type\": \"<string>\",\n \"customer\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"pin\": \"<string>\",\n \"item\": \"<string>\",\n \"qty\": 123,\n \"weight\": 123,\n \"pay\": \"<string>\",\n \"amount\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.apps.lute.co.in/v1/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["Content-Type"] = '<content-type>'
request.body = "{\n \"id\": \"<string>\",\n \"type\": \"<string>\",\n \"customer\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"pin\": \"<string>\",\n \"item\": \"<string>\",\n \"qty\": 123,\n \"weight\": 123,\n \"pay\": \"<string>\",\n \"amount\": 123\n}"
response = http.request(request)
puts response.read_bodyCreate Order
Creates a new shipment record before courier assignment. You can create orders directly via this endpoint or have them synced automatically from your connected e-commerce channels (such as WooCommerce).Request Headers
Request Body
Order direction:
Forward (outbound to customer) or Reverse (customer return).Response Example
{
"success": true,
"data": {
"id": "ORD-2026-9041",
"channel": "API",
"type": "Forward",
"customer": "Neha Verma",
"phone": "9811223344",
"email": "neha@example.com",
"address": "B-304, Green Glen Layout, Bellandur",
"city": "Bengaluru",
"state": "Karnataka",
"pin": "560103",
"item": "Wireless Noise Cancelling Earbuds",
"qty": 1,
"weight": 0.35,
"pay": "Prepaid",
"amount": 1999,
"status": "Awaiting AWB",
"carrier": null,
"mode": null,
"awb": null,
"date": "2026-11-22"
},
"meta": {
"timestamp": "2026-11-22T16:30:00.000Z",
"request_id": "req_10823901"
}
}